# Produktive Secure Boot-Zertifikate der IServ GmbH

In diesem Ordner befinden sich die produktiven Secure Boot-Zertifikate der IServ GmbH. Diese müssen in die geschützten UEFI-Variablen eines Systems geschrieben werden, wenn dieses mit eingeschaltetem Secure Boot über das IServ Modul Softwareverteilung installiert werden soll.

**Bitte beachten Sie, dass die auf dem Gerät bereits hinterlegten Schlüssel NICHT überschrieben werden dürfen.** Beachten Sie dazu die Hinweise in der IServ-Dokumentation.

Ausgeliefert werden 2 Zertifikate in unterschiedlichen Formaten. Für Endkunden relevant sind die Dateien `db.auth` und `KEK.auth`.

| Datei | Zertifikatsname | Bedeutung |
| - | - | - |
| db.* | C = DE, ST = Niedersachsen, L = Braunschweig, O = IServ GmbH, CN = IServ GmbH UEFI CA | Zertifikat, mit dem UEFI-Programme durch die IServ GmbH signiert werden. Muss an die UEFI-Variable "db" angehangen werden. |
| KEK.* | C = DE, ST = Niedersachsen, L = Braunschweig, O = IServ GmbH, CN = IServ GmbH KEK CA | Zertifikat, mit dem neue UEFI-Zertifikate und zurückgezogene Signaturen ausgeliefert werden können. Muss an die UEFI-Variable "KEK" angehangen werden. |

| Dateiendung | Inhalt | Bedeutung |
| - | - | - |
| *.auth | Signierte EFI-Signaturliste | Mithilfe dieser Datei können Sie die Variable im UEFI-Firmwaremenü des Gerätes anpassen. Die Signatur wurde mit einem öffentlichen Entwicklungszertifikat erzeugt, wird im UEFI-Firmwaremenü und bei Geräten im "Setup Mode" allerdings nicht geprüft. Die Signatur ist in der Praxis also ohne Bedeutung, ist aber häufig zum Einspielen der Änderung erforderlich. |
| *.esl | EFI-Signaturliste | Mithilfe dieser Datei können automatisiert Updats durchgeführt werden. Für Endkunden hat diese Datei i.d.R. keine Bedeutung, da Updates ohne Signatur nicht möglich sind. |
| *.crt | X.509-Zertifikat im PEM-Format | Enthält das eigentliche Zertifikat. Für Endkunden hat diese Datei i.d.R. keine Bedeutung. |
| *.der | X.509-Zertifikat im DER-Format | Enthält das eigentliche Zertifikat. Für Endkunden hat diese Datei i.d.R. keine Bedeutung. |

Hintergrundinformationen zu den UEFI-Variablen finden Sie unter:
* https://uefi.org/specs/UEFI/2.10/
* https://blog.hansenpartnership.com/the-meaning-of-all-the-uefi-keys/
